> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a subscription currency by ID

> Operacion: Get a subscription currency by ID.



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/subscription_currency/get/{currency_id}
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/subscription_currency/get/{currency_id}:
    get:
      tags:
        - Subscription Currency
      summary: Get a subscription currency by ID
      description: 'Operacion: Get a subscription currency by ID.'
      operationId: SubscriptionCurrencyController_getById
      parameters:
        - name: currency_id
          required: true
          in: path
          description: Currency ID
          schema:
            type: number
      responses:
        '200':
          description: Subscription currency
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionCurrencyResponseDto'
        '404':
          description: Currency not found
      security:
        - bearerAuth: []
components:
  schemas:
    SubscriptionCurrencyResponseDto:
      type: object
      properties:
        subscription_currency_id:
          type: number
        subscription_currency_name:
          type: string
      required:
        - subscription_currency_id
        - subscription_currency_name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````